clan::JsonValue Class Reference - ClanLib SDK
Description: clan::JsonValue Class Reference

Public Member Functions | Static Public Member Functions | List of all members
clan::JsonValue Class Reference
clanCore JSON

`#include <json_value.h>`

## Public Member Functions
JsonValue & | at (size_t index)
const JsonValue & | at (size_t index) const
void | clear ()
void | erase (size_t offset, size_t length)
bool | is_array () const
bool | is_boolean () const
bool | is_null () const
bool | is_number () const
bool | is_object () const
bool | is_undefined () const
std::vector< JsonValue > & | items ()
const std::vector< JsonValue > & | items () const
JsonValue & | operator[] (const char *name)
const JsonValue & | operator[] (const char *name) const
JsonValue & | operator[] (const std::string &name)
const JsonValue & | operator[] (const std::string &name) const
JsonValue & | operator[] (size_t index)
const JsonValue & | operator[] (size_t index) const
JsonValue & | prop (const char *name)
const JsonValue & | prop (const char *name) const
JsonValue & | prop (const std::string &name)
const JsonValue & | prop (const std::string &name) const
std::map< std::string, JsonValue > & | properties ()
const std::map< std::string, JsonValue > & | properties () const
void | remove (const char *name)
void | remove (const std::string &name)
void | set_array ()
void | set_boolean (bool v)
void | set_null ()
void | set_number (char v)
void | set_number (double v)
void | set_number (float v)
void | set_number (int v)
void | set_number (short v)
void | set_number (unsigned char v)
void | set_number (unsigned int v)
void | set_number (unsigned short v)
void | set_object ()
void | set_string (const char *v)
void | set_string (const std::string &v)
void | set_undefined ()
size_t | size () const
bool | to_boolean () const
char | to_char () const
double | to_double () const
float | to_float () const
int | to_int () const
std::string | to_json () const
double | to_number () const
short | to_short () const
const std::string & | to_string () const
unsigned char | to_uchar () const
unsigned int | to_uint () const
unsigned short | to_ushort () const
JsonType | type () const

## Static Public Member Functions
static JsonValue | array ()
static JsonValue | boolean (bool value)
static JsonValue | null ()
static JsonValue | number (char value)
static JsonValue | number (double value)
static JsonValue | number (float value)
static JsonValue | number (int value)
static JsonValue | number (short value)
static JsonValue | number (unsigned char value)
static JsonValue | number (unsigned int value)
static JsonValue | number (unsigned short value)
static JsonValue | object ()
static JsonValue | parse (const std::string &json)
static JsonValue | string (const std::string &value)
static JsonValue | undefined ()

The documentation for this class was generated from the following file:

- json_value.h